import React, {Component} from 'react'
import './index.scss'
import {CallApp} from '../../../common'


class Audition extends Component {
    constructor(props) {
        super(props);
    }

    colse = () => {
        this.props.boxHide(false);
    }

    render() {
        return (
            <div>
                {
                    this.props.auditionBox &&
                    <div className='popup-box'>
                        <div className='content audition-box'>
                            <p className='audition-header'>当前页面不支持试听</p>
                            <p className='audition-dec'>请前往APP试听</p>
                            <CallApp className='btn btn-18B4ED' text='立即前往'></CallApp>
                        </div>
                        <i onClick={this.colse} className={'iconfont iconiconfront-2 close'}></i>
                    </div>
                }
            </div>
        );
    }

}

export default Audition;
